%bcond_with bootstrap

Name:           httpcomponents-project
Summary:        Common POM file for HttpComponents
Version:        13
Release:        %mkrel 1
Group:          Development/Java
License:        ASL 2.0
URL:            https://hc.apache.org/
Source0:        https://archive.apache.org/dist/httpcomponents/httpcomponents-parent/httpcomponents-parent-%{version}-source-release.zip
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache:apache:pom:)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
%endif

%description
Common Maven POM file for HttpComponents. This project should be
required only for building dependant packages with Maven. Please don't
use it as runtime requirement.

%prep
%setup -q -n httpcomponents-parent-%{version}

%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :animal-sniffer-maven-plugin
%pom_remove_plugin :apache-rat-plugin

# Version <= 8 had this AID
%mvn_alias : :project

%build
%mvn_file  : %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt



%changelog
* Thu May 23 2024 ns80 <ns80> 13-1.mga10
+ Revision: 2066697
- new version 13 for java 21

* Mon Jul 25 2022 neoclust <neoclust> 12-4.mga9
+ Revision: 1871030
- Disable bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 12-3.mga9
+ Revision: 1870282
- Fix BR for bootstrap
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Mar 02 2021 daviddavid <daviddavid> 12-1.mga9
+ Revision: 1696122
- Update to version 12

* Sat Feb 15 2020 umeabot <umeabot> 11-2.mga8
+ Revision: 1528620
- Mageia 8 Mass Rebuild

* Sat Aug 24 2019 daviddavid <daviddavid> 11-1.mga8
+ Revision: 1431569
- Update to version 11

* Mon Dec 10 2018 daviddavid <daviddavid> 9-1.mga7
+ Revision: 1339756
- new version: 9 (sync with fc29)

* Thu Sep 20 2018 umeabot <umeabot> 7-6.mga7
+ Revision: 1278667
- Mageia 7 Mass Rebuild

* Fri Sep 01 2017 daviddavid <daviddavid> 7-5.mga7
+ Revision: 1150455
- Regenerate build-requires (sync with fc27)

* Wed Mar 02 2016 neoclust <neoclust> 7-4.mga6
+ Revision: 982067
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 7-3.mga6
+ Revision: 976379
- First rebuild of the java stack
- sync package httpcomponents-project with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Dec 26 2014 pterjan <pterjan> 6-7.mga5
+ Revision: 806270
- Clean rebuild
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 6-5.mga5
+ Revision: 745603
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6-4.mga5
+ Revision: 680196
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6-3.mga4
+ Revision: 505516
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 6-2.mga3
+ Revision: 353360
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 6-1.mga3
+ Revision: 293062
- New version

* Thu Apr 28 2011 dmorgan <dmorgan> 4.1.1-4.mga1
+ Revision: 92454
- Rebuild after bootstrapping
- imported package httpcomponents-project


* Thu Feb 17 2011 Alexander Kurtakov <akurtako@redhat.com> 4.1.1-3
- Require maven (version 3) now.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 17 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 4.1.1-1
- Initial version
